package _VisualDVM.ProjectData.Messages;
import Common.Database.Tables.iDBTable;
import Common.Visual.DataSetControlForm;

import javax.swing.*;
//https://stackoverflow.com/questions/2026965/can-i-add-a-button-to-a-jtable-column-header
//https://stackoverflow.com/questions/7137786/how-can-i-put-a-control-in-the-jtableheader-of-a-jtable/29963916#29963916
//https://stackoverflow.com/questions/7137786/how-can-i-put-a-control-in-the-jtableheader-of-a-jtable   ->>
public class MessagesDBTable<M extends Message> extends iDBTable<M> {
    public MessagesDBTable(Class<M> d_in) {
        super(d_in);
    }
    @Override
    protected DataSetControlForm createUI(JPanel mountPanel) {
        return new MessagesControlForm(this, mountPanel);
    }
}
